Bug 14605 - xauth fails to remove cookie from .Xauthority
Summary: xauth fails to remove cookie from .Xauthority
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 6.2
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-25 08:29 UTC by Rene Uittenbogaard
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-24 16:28:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rene Uittenbogaard 2000-07-25 08:29:53 UTC
www:/home/users/webftp> xauth list
192.168.11.115:0  MIT-MAGIC-COOKIE-1  11532f7a79f196777810f706689cb41d
webtest.local.nl.11.168.192.in-addr.arpa:0  MIT-MAGIC-COOKIE-1 
845a3293a1239383efd8e80db42f297e
192.168.11.186:0  MIT-MAGIC-COOKIE-1  f4748eb4d8e13faf1ebc8a25925a20b2
192.168.11.167:0  MIT-MAGIC-COOKIE-1  54a8c3fe58cdd052df4834849b8ffe7f
www:/home/users/webftp> xauth remove
webtest.local.nl.11.168.192.in-addr.arpa:0
xauth: (argv):1:  bad display name
"webtest.local.nl.11.168.192.in-addr.arpa:0" in "remove" command

Comment 1 Preston Brown 2000-09-11 18:54:18 UTC
very strange. How did you manage to get such a strange hostname into your
.Xauthority file?  Maybe your network configuration is incomplete.

Comment 2 Rene Uittenbogaard 2000-09-12 08:02:02 UTC
The cookie was added using
xauth add <ip add> :0
I suppose there is a problem with the DNS resolution of the ip address, but
xauth should nevertheless be able to remove the cookie


Comment 3 Mike A. Harris 2001-07-28 11:31:31 UTC
I don't see this as a serious issue worth fixing if it is indeed
broke in the first place.


Note You need to log in before you can comment on or make changes to this bug.